Bug 847250 - [abrt] gvfs-gphoto2-1.12.3-1.fc17: strlen: Process /usr/libexec/gvfsd-gphoto2 was killed by signal 11 (SIGSEGV)
[abrt] gvfs-gphoto2-1.12.3-1.fc17: strlen: Process /usr/libexec/gvfsd-gphoto2...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Holy
Fedora Extras Quality Assurance
abrt_hash:c96f47d02dfe5b85698f306317a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 05:30 EDT by Daniel Rindt
Modified: 2013-08-01 02:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:13:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (12.44 KB, text/plain)
2012-08-10 05:30 EDT, Daniel Rindt
no flags Details
File: maps (14.11 KB, text/plain)
2012-08-10 05:30 EDT, Daniel Rindt
no flags Details

  None (edit)
Description Daniel Rindt 2012-08-10 05:30:37 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-gphoto2 --spawner :1.4 /org/gtk/gvfs/exec_spaw/4
crash_function: strlen
executable:     /usr/libexec/gvfsd-gphoto2
kernel:         3.5.0-2.fc17.x86_64
pid:            26469
pwd:            /
remote_result:  NOTFOUND
time:           Fr 10 Aug 2012 11:25:30 CEST
uid:            1000
username:       drindt

backtrace:      Text file, 12734 bytes
maps:           Text file, 14453 bytes

build_ids:
:f69712fe393313f44607679e934bf5a67f39ec50
:6086bff484a49cc8b80cb714d7e83a6391394800
:e33424e3e1e1c8d372e3e80a72b600e921338cef
:fffb0e6dd2f8decf1f14d81c35f1ec36182ae915
:78a9521377bfe9abb74a7e2f8840898abf2cae9c
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:58363870763c10bd69bdad8cb38e5b0a0d56b223
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:3bbeb82b3bc850005dc0f186e15b20b45df0cbaa
:a625841a963b5765aa9c0b4f827a8235f2697ccc
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:f4c064df8745dff15466d705fb049138f9a5c949
:6be87969bc38cd5d7b82ce0feb9b78a31dbccaee
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:67792c148d2b8f13f6732c9367e926c26d7376c5
:63651cdc0224824a9c9324c77c3b5887378e871d
:835ece100ae7d8bb3c7f990b52f28ecdeb74975e
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:822e9b3523e8312240f41a25722d539bc77ed436
:3934b7aeda6f9a2b409dfb07de9a0900cd6e5346
:9e6594e38d36f94f5e02c90731970f1c72396147
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:7c35310fc506498c612d5d982ab03becc4b4817c
:e19c058cd9cc629bd8792247219685adc3d45a0c
:d804f8ee47797da9213a92f00cd095ecada8d79f
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:726a299098b7695fc69d788f6b19468810c1ba6e
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/drindt/22

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x85f31 __strlen_sse2 libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x85ba6 strdup libc.so.6 -
:fffb0e6dd2f8decf1f14d81c35f1ec36182ae915 0x3b54 - libudev.so.0 -
:fffb0e6dd2f8decf1f14d81c35f1ec36182ae915 0x53c9 - libudev.so.0 -
:fffb0e6dd2f8decf1f14d81c35f1ec36182ae915 0x9586 udev_monitor_receive_device libudev.so.0 -
:78a9521377bfe9abb74a7e2f8840898abf2cae9c 0x3a38 - libgudev-1.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:58363870763c10bd69bdad8cb38e5b0a0d56b223 0xdacb - [exe] -
:58363870763c10bd69bdad8cb38e5b0a0d56b223 0x8264 - [exe] -

dso_list:
:/usr/lib64/libgpg-error.so.0.8.0 libgpg-error-1.10-2.fc17.x86_64 (Fedora Project) 1339608356
:/usr/lib64/libgobject-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1342962058
:/usr/share/locale/de/LC_MESSAGES/gvfs.mo gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1339608815
:/usr/lib64/libgmodule-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1342962058
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-2.fc17.x86_64 (Fedora Project) 1339608356
:/usr/lib64/libgio-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1342962058
:/usr/lib64/libgudev-1.0.so.0.1.1 libgudev1-182-3.fc17.x86_64 (Fedora Project) 1339608721
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1339608815
:/usr/libexec/gvfsd-gphoto2 gvfs-gphoto2-1.12.3-1.fc17.x86_64 (Fedora Project) 1339609560
:/usr/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc17.x86_64 (Fedora Project) 1339608349
:/usr/lib64/libm-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342772470
:/usr/lib64/gconv/gconv-modules.cache glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342772470
:/usr/lib64/libusb-0.1.so.4.4.4 libusb-1:0.1.3-10.fc17.x86_64 (Fedora Project) 1339608363
:/usr/share/locale/de/LC_MESSAGES/libgphoto2-2.mo libgphoto2-2.4.14-1.fc17.x86_64 (Fedora Project) 1339609022
:/usr/share/locale/de/LC_MESSAGES/libgphoto2-2.mo libgphoto2-2.4.14-1.fc17.i686 (Fedora Project) 1343421965
:/usr/lib64/libexif.so.12.3.2 libexif-0.6.20-2.fc17.x86_64 (Fedora Project) 1339608368
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-7.fc17.x86_64 (Fedora Project) 1339608350
:/usr/lib64/libdl-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342772470
:/usr/lib64/libusb-1.0.so.0.1.0 libusb1-1.0.9-0.6.rc1.fc17.x86_64 (Fedora Project) 1339608363
:/usr/lib64/libpthread-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342772470
:/usr/lib64/libglib-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1342962058
:/usr/lib64/libutil-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342772470
:/usr/lib64/libgphoto2_port.so.0.8.0 libgphoto2-2.4.14-1.fc17.x86_64 (Fedora Project) 1339609022
:/usr/lib64/libc-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342772470
:/usr/lib64/libgphoto2.so.2.4.0 libgphoto2-2.4.14-1.fc17.x86_64 (Fedora Project) 1339609022
:/usr/lib64/libselinux.so.1 libselinux-2.1.10-3.fc17.x86_64 (Fedora Project) 1339608348
:/usr/lib64/libbluray.so.1.1.0 libbluray-0.2.2-1.fc17.x86_64 (Fedora Project) 1339608376
:/usr/share/locale/de/LC_MESSAGES/libc.mo glibc-common-2.15-51.fc17.x86_64 (Fedora Project) 1342772462
:/usr/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-4.fc17.x86_64 (Fedora Project) 1339608351
:/usr/lib/locale/locale-archive glibc-common-2.15-51.fc17.x86_64 (Fedora Project) 1342772462
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4.2-3.fc17.x86_64 (Fedora Project) 1339608369
:/usr/lib64/libgthread-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1342962058
:/usr/lib64/libudev.so.0.13.1 libudev-182-3.fc17.x86_64 (Fedora Project) 1339608712
:/usr/share/locale/de/LC_MESSAGES/libgphoto2_port-0.mo libgphoto2-2.4.14-1.fc17.x86_64 (Fedora Project) 1339609022
:/usr/share/locale/de/LC_MESSAGES/libgphoto2_port-0.mo libgphoto2-2.4.14-1.fc17.i686 (Fedora Project) 1343421965
:/usr/lib64/librt-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342772470
:/usr/lib64/libresolv-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342772470
:/usr/lib64/ld-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342772470
:/usr/lib64/libgcrypt.so.11.7.0 libgcrypt-1.5.0-3.fc17.x86_64 (Fedora Project) 1339608356
:/usr/lib64/libgnome-keyring.so.0.2.0 libgnome-keyring-3.4.1-2.fc17.x86_64 (Fedora Project) 1339608362

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-AhIvwOfAv7,guid=50e641f18e17572e94e29743000094ce
:XDG_RUNTIME_DIR=/run/user/drindt
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:WINDOWPATH=2
:PATH=/usr/local/bin:/usr/bin:/bin
:GDMSESSION=gnome
:XDG_VTNR=2
:USERNAME=drindt
:XDG_SESSION_ID=22
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-AhIvwOfAv7,guid=50e641f18e17572e94e29743000094ce
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-drindt-hV1lEg/database
:USER=drindt
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=19952
:SHLVL=1
:PWD=/home/drindt
:GDM_LANG=de_DE.utf8
:GNOME_KEYRING_CONTROL=/run/user/drindt/keyring-9JWgoi
:LANG=de_DE.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=drindt
:HOME=/home/drindt

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29722                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29722                29722                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0100002
:2:/dev/null
:pos:	0
:flags:	0100002
:3:socket:[395048]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug 10 11:25:30 localhost kernel: [48432.145494] gvfsd-gphoto2[26469]: segfault at 7f0b181c22c0 ip 0000003f40485f31 sp 00007fffec46e048 error 4 in libc-2.15.so[3f40400000+1ac000]
:Aug 10 11:25:30 localhost abrt[26543]: Saved core dump of pid 26469 (/usr/libexec/gvfsd-gphoto2) to /var/spool/abrt/ccpp-2012-08-10-11:25:30-26469 (9732096 bytes)
Comment 1 Daniel Rindt 2012-08-10 05:30:41 EDT
Created attachment 603451 [details]
File: backtrace
Comment 2 Daniel Rindt 2012-08-10 05:30:43 EDT
Created attachment 603452 [details]
File: maps
Comment 3 Fedora Admin XMLRPC Client 2013-05-23 10:27:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2013-05-23 10:29:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2013-07-03 21:35:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 02:13:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.